AERON'S GOLDEN COOKIE QUEST CHANGELOG

Version 4.0.0 (Director's Cut):

--> Overworld:

 - Adjusted the names of the levels in the overworld;
  -> SEASIDE LOOKOUT became Seaside Lookout;
  -> GARGOYLE'S LAIR became Gargoyle's Lair;
  -> QUBASA SPORT FIELD became Qubasa Sports Field;
  -> NOCTURNAL GLACIER became Nocturnal Glacier;
  -> FORGOTTEN LIBRARY became Forgotten Library;
  -> YAMATO BAMBOO FIELD became Yamato Bamboo Path;
  -> KYUSHU BRIDGE became Kyushu Long Bridge;
  -> MECHANICAL OEDO became Mechanical Oedo;
  -> SETSUMA VILLAGE became Satsuma Village;
  -> GORGEOUS STAGE FORT became Gorgeous Stage Fort;
  -> MUTSU MOUNTAINROAD became Mutsu Mountainroad;
  -> TOWER OF DESTINY became Tower of Safety;

--> Graphics:

- Changed layer 3 overworld borders;
   -> An Aeron icon will appear in the reserve box when the player has a powerup;
- Improved the visuals of Gigantic Medusa from Sexy Parodius;
   -> Added some dithering and visual adjustments to fit better with Super Mario World, in general;
- Improved the palette of the Game Boy Color styled Natsumi sprite;
- Reripped the background seen during the fight against the Elite Ninji Squad;
   -> Added some dithering and visual adjustments to fit better with Super Mario World, in general;
- Readjusted the graphics in the Temple Lord fight. Now it feels more like a puyo puyo match;
- Changed Lil' Poe (previously called Bloody Poe) colors to make them easy to tell apart when near other ghosts;
- Changed the Soul Barrier visuals, now it matches with the spectral flames seen in the tunnel portion of Satsuma Village;
  -> This change also is reflected in the flames carried by Fishin' Bones / Fishin' Sam;
- Tweaked a little the skull graphics seen in the Elemental Poe fight;
- Adjusted color scheme of the Kitsune Koopas, so their shells are easier to distinguish;
- Added "Bean Madness" in top left, in the room where the player fights Potter the Ptooie;
- Added koban coins graphics for the coins that come out of the blocks in Kyushu Long Bridge;
- A new background has been added in the Mouse Mobile room of Gorgeous Stage Fort;
- A new background has been added in the room before Shadow Man (boss);
- Tweaked a bit the visuals of the end section of Satsuma Village (after the boss fight against the mini boo boss).
- New global graphic for the infinite throw block object;
- A few small tweaks to the coloration of most blocks in Kyushu Long Bridge;
- Few tweaks to the B4VWWF font used in the message boxes / npc dialogues;
- Added R-Ack / ~omh~ - One-Way Walls;
- Fixed U letter from the title font from Aeron's Golden Cookie Quest and added "Director's Cut" to the title screen;
- Added a new ceiling graphic for the first half of Forgotten Library;
- Added new layer 3 graphic to the Mutsu Bathhouse room where Natsumi appears;
- Added a new HDMA gradient (uses half color math) to the interior part of the Qubasa Sports Stadium;
- Removed the silly parallax scrolling and tweaked the palette from Qubasa Sports Field (First Half);
- Visual tweaks and color adjustments to the main map (Archipelago of Chaos);
   -> Gargoyle's Cliff is around a purple "grassland", Qubasa Sports Field area has a different color and the Seaside Lookout uses a new graphic to represent it;
   
--> Music:

  - Repurposed "The Legend of the Mystical Ninja - A Strange Man's Home" to be used somewhere else;
  - Added "Pocky & Rocky - Enchanted Forest (unsampled)" as the main theme of Rocky (Satsuma Village NPC);
  - Added "Gargoyle's Quest II - Assaulted Etruria";
  - Added "Ganbare Goemon 2 (Famicom) - Shikoku, Toukai and Chuubu";
  - Added "Mother 3 - A Letter to You, Honey";
  - Added "Bakumatsu Kourinden Oni - Spirit Hole";
  - Added "Kirby: Nightmare in Dream Land - Rainbow Resort";
  - Added "Castlevania: Aria of Sorrow - Chapel (Faster Tempo)";
  - Added "Jikkyou Oshaberi Parodius - Almost at the End!";
  - Added "Castlevania: Symphony of the Night - Lost Painting";
  - Added "Ganbare Goemon 2: Kiteretsu Shougun Magginesu - Bunny Valley";
  - Added "The Legend of the Mystical Ninja - Sexy Strip Show";
  - Replaced "Desert Strike: Return to the Gulf - Bus Ride to Freedom" with "Castlevania Chronicles - Stage Clear";
  - Replaced "Terranigma - Fyda" with "Romancing SaGa 3 - Evil Does Not Cherish";
 
--> Lore stuff:

- Adjusted the writing of almost every cutscene in the game;
- Added Firebrand, Vic Viper, Biospark, Kid Dracula, Daizojin (& Kreckenworth), Buster, Marisa Kirisame, Raito, Wario, Sayuri and Georgio Fishhead as new NPC characters;
- The dialogues of almost every NPC in the game has been adjusted;
- Adjusted ending screen of Qubasa Sports Field. Now Natsumi appears to congratulate Aeron;
- Added item descriptions for the dolls and figurines found in the ultra secret room;
- Added descriptions for the Samurai Robot and Mouse Mobile found through Kyushu Long Bridge and Gorgeous Stage Fort;
- Added a Fish Vehicle somewhere;
- Expanded the corridor before the final boss and added statues to it;
- New cutscene before the final boss has been added;

 --> Level Design:
 
   Gargoyle's Lair (Second Half):
    - Made the beginning section harder, by adjusting some setups;
 
    Qubasa Sports Field (First Half):
    - Few small tweaks in the level architecture;
    - Removed a Jumping Piranha Plant (sprite 50) that spits fire; 
      -> Added a Jumping Piranha Plant(sprite 4F) in its place;
	
   Qubasa Sports Field (Second Half):
   - Adjusted it to be harder;
  
   Nocturnal Glacier (First Half):
   - Small tweaks near the end to make it slightly harder;
   
   Forgotten Library (First Half):
   - A fair ammount of adjusments to improve level flow;
   
   Forgotten Library (Second Half):
   - Made the level a bit more harder, in compensation, the reset pipes now act as checkpoints, if used;
  
   Yamato Bamboo Road (First Half):
   - Heavy adjustments. Made it harder and with better action flow;
  
    Kyushu Long Bridge (First Half):
    - Few small tweaks to level architecture;
  
    Kyushu Long Bridge (Second Half):
    - Removed significantly the chance of cheese by tightening the life farm area;
    - Noticeable adjustments to the level archicteture;
    - Replaced yellow spikes with Wario Land spikes;
  
    Mechanical Oedo (First Half):
    - Made first half of Mechanical Oedo slightly harder (again);
    - Fixed cutoff in the first few screens;
  
    Satsuma Village (HUB Area):
	- Added a new building;
	  
    Satsuma Village (Tunnel):
    - Made the level even harder;
     -> Added a checkpoint to compensate this change;
	 
    Gorgeous Stage Fort (Mouse Mobile Room):
    - Revamped the level layout to be more platforming heavy;
  
    Gorgeous Stage Fort (Before the Elite Ninji Squad Boss):
    - Adjusted architecture of the room;
	
	Gorgeous Stage Fort (Before Shadow Man):
	- Adjusted level architecture;
	
	Mutsu Mountainroad (First Half):
	- Few tweaks in level architecture;
	
	Mutsu Mountainroad (Hokkaido's Bath Chamber):
	- Made some visual tweaks and level design adjustments;
   
   Secret Rooms:
    - Added ten new secret rooms. In total, there are eleven secret rooms now;
 
 --> Credits:
 
  - Added new names and credited people who I previously missed;

--> ASM (Parodius Bosses):

    - A new hitbox system has been added, by using UberASM and blocks;
      -> Improved hitbox for all bosses, in general;
	  -> Better hit feedback;
	  
	Ghost Lady:
	- Reduced HP by one unit;
	- The enemy generator loads better due to the new system;
	
    Temple Lord:
    - Added a reserve powerup in the fight; 
	- The sprite generator now loads faster due to the new system;
	
    Medusa (Sexy Parodius):
	- Added an extra bullet shooter, increasing its difficulty;
	- Reduced HP by 8 units to compensate this change;
	
--> ASM (Other Stuff):

   - Fixed the hitbox of the Smart Hot Foot, the SMB3 candle sprite. Now it has a proper hitbox even when idle;
   - Made the Robot Guards in Mechanical Oedo impervous to any kind of damage, including explosions.
   - Improved the NPC sprites. If they have something to say, an "!" will appear above the player's head;
   - Added a new sprite at the first half of Yamato Bamboo Path, which is an improved version of the vanilla five group of eeries;
   - Fixed the baseball bat, no more janky weird animation;
   - Added Explosive Bumpty;
   - Added Explosive Ninji;
   - Added food items that give different life values (1up, 2up and 3up);
   - Added a "spotlight sprite";
   - Fixed the hitbox and behavior of the walking NPCs in Satsuma Village;
   - Applied a Fix HDMA Flickering patch to avoid potential visual glitches involving HDMA;
   - Added a double lock system in the rom;
   
--> Photo Album:

   - Added more entries to Aeron's Photo Album;
    -> Listed some enemies that were unlisted previously;
    -> New NPCs have been added to it;
	 
   --- x ---

Unless it is a game breaking glitch, I won't bother fixing anything anymore.
I worked too much on this hack already. Thanks.

----

NOT RECOMMENDED TO BE PLAYED IN AN OLD CRT MODEL LIKE THE ROUND CRT ONES

This hack uses the Minimalist Status Bar (Bottom), so playing it on an old model CRT (the round ones) ISN'T recommended. 

Some of the text resides on the top area of the screen too.

----

Any bugs involved SNES Mini, ZSNES or Android SNES emulators will be ignored.
These emulators are very inaccurate, which makes hard to even fix the bugs. 

Thanks for the understanding!

----------------- xx OLDER VERSIONS xx --------------------

Ver 3.2.8:

--> Gargoyle's Lair (First half):

- The climbable chains had their color adjusted;
* Now it is impossible to confuse them with decoration tiles;
- Color tweaks to the "green beans";
- Level design adjustments;

--> Nocturnal Glacier (Boss):

- Fixed Cirno boss by adding a pause check in the sprite code;
* Duplicate projectile won't happen anymore if Aeron takes damage;

--> Forgotten Library (Final cutscene):

- Adjusted wording in Poe's dialogue;

--> Kyushu Bridge (Second Half):

- Removed cheese in Kyushu Bridge (Second half);
- Added note blocks and note block spin jump fix;
- Player can't accidentally destroy shell with spin jump now;
- Adjusted level design;
- Minor tweaks to one cutscene in Kyushu Bridge;

--> Mechanical Oedo (Second Half):

 - Added No Run uberasm in the rest of the level.
 * This makes impossible to run in the entire stage.

--> Gorgeous Stage Fort (Boss):

- Fixed Shadow Man boss sprite code;
* Now it works properly with Instant Retry;

--> Mutsu Mountainroad (First Half):

- Removed cheese;
- Magikoopa's magic spawn goombas instead of yellow koopas;
- Adjusted level design;
- Made sure that no sprite stack can be broken or despawned;
- Nerfed one of the trap rooms by giving a bit more leniency;
- Fixed the color of the powerup remover in the trap rooms;
- Adjusted Thwomp graphics and colors;

--> Enemy Parade and Credits:
- Adjusted enemy parade and credits once again;

--> ????????????:
- Added a secret room somewhere in the hack;
- Added a new song because of that;

Ver 3.2.7.1:

- Fixed one of the cutscenes not working properly;
- Fixed graphics of a specific cutscene;
- Fixed ON-OFF Block graphic in Qubasa Sport Field;

Ver. 3.2.7:

- Updated the cutscene ASM, preventing any potential softlock;
- Fixed the Tornado sprite color seen in the Elemental Poe boss fight;
- Changed the background of the boss room of Gargoyle's Lair;
- The change was also reflected in the cutscenes;
- Adjusted cutscenes in the Forgotten Library due to 
  the removal of ghost inputs caused by the older cutscene ASM;

Ver. 3.2.6:

-> Fixed cutoff in Kyushu Bridge;

 -> Fixed Muncher animation. 
   Previously, the stem was shaded incorrectly, 
   because it was missing two colors;

 -> Added a new block: Breakable by Sprites block;

 -> Removed bounce animation from brick blocks, 
    so it doesn't get glitchy graphics;

 -> Made spinjump star graphics consistent in color 
    through all the hack;

-> Big overhaul of global graphics, such as:

   -> Yellow Switch Palace Block;
   -> Mario and Sprite Passable Blocks;
   -> Powerup Removal Gates;
   -> Breakable by Sprites Blocks;
   -> Brick Blocks;
   -> Cement Blocks;
   -> Moon;

-> Small tweaks to the graphics of the Save Block;

-> General optimization of graphics and improved palettes in:
    
    -> Qubasa Sport Field; 
    -> Nocturnal Glacier;
    -> Forgotten Library;
    -> Kyushu Bridge;
    -> Mechanical Oedo;

-> Seven cutscenes of the hack were rewritten:
  
  -> Before the first boss;
  -> After defeating the first boss;
  -> Before fighting the Elemental Poe;
  -> After fighting the Elemental Poe;
  -> Before fighting Mozart van Spooky;
  -> After the fake game over screen;
  -> Before the Shadow Man boss;

-> Added Instant Retry to reduce waiting time between attempts;

-> A new message box was added in the first level, 
   due to the fact that Instant Retry got added;

-> Removed 1-up checkpoints of the first three levels,
  to compensate that it saves on every boss room now;

-> Every boss room saves and refills the player's health;

-> Level design adjustments in:

   -> Gargoyle's Lair;
   -> Qubasa Sport Field;
   -> Nocturnal Glacier;
   -> Forgotten Library;
   -> Yamato Bamboo Field;
   -> Kyushu Bridge;
   -> Mechanical Oedo;
   -> Gorgeous Stage Fort;
   -> Mutsu Hot Springs;

-> Graphics and palette adjustments of several enemies in the hack:

  -> Flower Lotus was adjusted, 
     it is easier to tell when it is going to attack;

  -> Thwomp was adjusted to have better facial expressions;

  -> Mr. Fire was renamed to Bobo and now has blue shoes;

  -> Red Cooligan has a flashing palette;

  -> Yuki-Onna was adjusted. Now it has a slight taller sprite;

  -> Changed RVTX (small robot) to Coldhat. 
     Now it looks like a samurai helmet;
 
  -> Fixed Piranha Plant graphics to be accurate 
     to Super Mario All-Stars: Super Mario Bros. 3.

  -> Replaced XCVTR with Porcupo reskin in Mutsu Mountainroad.
    XCVTR still appears in Kyushu Bridge and Setsuma Village;

  -> Bumpties now have their original graphic.
     They use their palette from SMW2: Yoshi's Island;

-> New musics were added to the hack to replace some tracks.

    -> Tracks that were removed:

     -> Lagrange Point - Bad Luck;
     -> Secret of Evermore - Lonely Halls;
     -> Terranigma - Royd's Theme;
     -> Deltarune - Rouxl Kaard's Theme;

    -> Tracks that were added in their place:

     -> Chrono Trigger - Huh;
     -> Treasure Hunter G - Dead Town;
     -> Terranigma - Fyda;
     -> Last Bible III - Arec's Revenge;

-> Nerfed Cirno once again. She doesn't stun the player anymore.
  -> HP also was reduced by two units;

-> Updated Photo Album Sequence to change names
   and add a new enemy reskin;

-> Changed the behavior of the red cooligan enemy;
  -> It is immune to any kind of jump;
  -> It has a flashing orange palette;
  -> The player gets damaged even if they spinjump on the enemy;

-> Buffed Elite Ninji Mini boss;

-> Optimized and changed backgrounds of the following areas:

 -> Qubasa Sport Field Soccer Stadium (palette optimization);
 -> Elemental Poe boss fight (palette optimization, accurate rip);
 -> Elite Ninji boss fight (entired reripped from scratch);

-> Snow exanimation of Mutsu Mountainroad has been optimized;

-------------------------------- X ---------------------------------

  PREVIOUS CHANGELOGS:

Ver. 2.5.2.1.:

- Removed possible softlock from Yamato Bamboo Field;
- Fixed minor graphics inconsistencies;
- Removed P-Switch music entirely;
- Fixed checkpoint system in Mutsu Mountainroad, so the player can't escape from the "trap rooms" by dying;
- Final revision of the credits;

Ver. 2.5.2.:

Music:
- Changed Final Fantasy VI - Cyan and The Legend of the Mystical Ninja - Kyoto ~Ancient Capital of Japan to sampled versions.
- Changed Donkey Kong Country 2 - Donkey Kong Rescued to Donkey Kong Country 3 - Baddies on Parade.
- Replaced The Legend of Zelda II - Battle for The Legend of the Zelda II - Indoors;
- Added The Legend of the Mystical Ninja - A Strange Man's House.* 
  *It is used in Rocky's house in Setsuma Village;

Graphics:
- Added new easter eggs (Seaside Lookout and Forgotten Library);
- Fixed fish animation in Nocturnal Glacier;
- Changed muncher's colors from the soccer field portion of Qubasa Sport Field;
- Removed a patch which caused trouble for smoke sprites;
- Removed a patch which caused trouble with high speed jumping sprites;

Level Design:
- Several adjustments to certain levels due to the new checkpoint system;
- Decheesed Mutsu Mountainroad and removed slowdown in a certain section;
- Reworked Kyushu Bridge level design;
- Adjusted one section of Mechanical Oedo so the sprites don't despawn;
- Tightened a jump in Yamato Bamboo Field to reduce the chance of skips;
- Decheesed Mechanical Oedo;
- Adjusted Yamato Bamboo Field first half to be harder and force the use of the shield;
- Added even more lifes in Seaside Lookout;
- Adjusted some sections of the first half of Forgotten Library;
- Removed a potential softlock from Gorgeous Stage Fort;*
 * by adding some spikes in the "Mechanical Mouse Room";
- Fixed invisible munchers in Forgotten Library first half;

Miscellaneous:
- Initial lives increased to 10;
- A new system has been added. Multiple checkpoints per level.*
   *mostly useful for later levels);
- Adjusted credits sequence;

- - > OLDER VERSIONS < - - 
 Ver 2.3.6:
 - Small level design adjustment in Mechanical Oedo first half;
 - Changed some music tracks.

 Ver 2.3.5:
 - More adjustments were made to the second half of Gargoyle Cliffs;
 - Removed a skip in Qubasa Sport Field first half;
 - Adjusted baseball pratice room of Qubasa Sport Field, while also fixing the 1-up checkpoint;
 - Removed a softlock in one small room of Gorgeous Stage Fort;
 - Removed a patch which was glitching the animation effects of key locks and directional falling spikes (the apples in Kyushu Bridge); 
 - Readjusted Mechanical Oedo first half;
 - Adjusted small room in Mechanical Oedo second half;
 - Script adjustment to one of the cutscenes;
 - Added a new easter egg;

 Ver. 2.3.2:
 - Fixed a despawn in the Hot Springs level;
 - Fixed oversight in Kyushu Bridge (the last apple wasn't falling below the vine block, it's meant as trap);
 - Adjusted one setup in Forgotten Library, so the player doesn't try to skip one of the books near the end;
 - Removed a skip in the ghost rope section of Gargoyle Cliffs.

 Ver. 2.3:

 - Even more quality of life patches;
 
 - Changed one of the cutscene musics to a more fitting menacing theme, replacing Rouxl Kaard theme;

 - Added two extra lines of dialogues (check the end of Nocturnal Glacier and Kyushu Bridge);

 - Gargoyle Cliffs: Adjusted the second half to be slightly harder; Changed boss music and adjusted arena;

 - Qubasa Sport Field: Adjusted the first and second halves of the level; Removed cheese;

 - Nocturnal Glacier: Adjusted the first half of the level.Complete revamp of the aesthetics of the second half; Cirno's HP drastically reduced;

 - Forgotten Library: Adjusted the first half of the level; Removed minor sequence breaks;

 - Yamato Bamboo Field: Adjusted first half of the level; Changed boss music; Fixed glitch involving sprite warping due to the boo ceiling;

 - Kyushu Bridge: Adjusted first half of the level; Adjusted 1-up checkpoint of second half so it triggers consistently;

 - Mechanical Oedo: Adjusted the first and second halves of the level; Even more adjustments to make the stage more fun to play;

 - Setsuma Village: Changed music and password system; Adjusted tunnel section of the level; Fixed last screen of the level by disabling the exit enabled flag;

 - Gorgeous Stage Fort: Adjusted the first and second halves of the level;  Added one extra section to the level;

 - Mutsu Mountainroad: Adjusted the first and second halves of the level; Changed the third checkpoint to dragon coins; Fixed typos; Small buffs to the final boss;
 
 - Tower of Destiny: Added more enemies to the Cast List. Even more names added to the credits. Added missing names. Fixed the name of one of the treasures;

 - Added four new easter eggs;
 
 -->> Hopefully this is the final version.

    -- x --

 Ver. 1.5.2:

 - Gargoyle's Cliff: Made two jumps more tighter and harder to cheese or be skipped.

 - Qubasa Sport Field: Added extra munchers to avoid skips.

 - Forgotten Library: Fixed the ending screen. If you jump in the corners, you would be teleported to the boss fight.

 - Yamato Bamboo Field: Added a cement wall next to the end of the second half to avoid the player from walking to death. Colliding with an enemy in the right corner of the boss arena damages the player.

 - Kyushu Bridge: Changed enemy placement to avoid the despawn of a yellow koopa.

 - Mechanical Oedo: A lot of nerfs and adjustments. Basils are reverted to hurt only, instead of instakill. Removed a cheese from the first half. Second half now contain two reset pipes. Enemy placement adjusted. Removed slowdown in a certain spot. Added powerup remover in a certain spot to avoid players of cheesing the next obstacles. Adjusted 1-up checkpoint placement.

 - Setsuma Village: Adjusted boss arena.

 - Gorgeous Stage Fort: Made a jump involving the buzzy beetle less tight. Fixed item index in one of the rooms.

 - Mutsu Mountainroad: Adjusted the checkpoint that leads to the boss, so it's closer to the player. Fixed typo in one of the cutscenes.

 - Credits: minor tweaks.

    -- x --

  Ver. 1.0:

 - Initial release;